import java.io.*;
import javax.swing.*;

class SCO11D1
{  
  public static void main(String args[]) throws IOException
  {
  double x[];
  double y[];
  String s1=JOptionPane.showInputDialog("dosya adư : ");
  double a[][]=Text.readDoubleT(s1);
  x=a[0];
  y=a[1];
  Plot pp=new Plot(x,y);
  pp.setPlotType(0,20);
  pp.setPlabel("Lagrange interpolasyonu");
  pp.addLagrange(x,y,20);
  pp.plot();
  }
}